<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.vcard.VCard</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        <a href="pyxmpp.jabber.vcard-module.html">Module&nbsp;vcard</a> ::
        Class&nbsp;VCard
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class VCard</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard">source&nbsp;code</a></span></p>
<pre class="base-tree">
                 object --+    
                          |    
<a href="pyxmpp.objects.StanzaPayloadObject-class.html">objects.StanzaPayloadObject</a> --+
                              |
                             <strong class="uidshort">VCard</strong>
</pre>

<hr />
Jabber (vcard-temp) or RFC2426 vCard.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.vcard.VCard-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">data</span>)</span><br />
      Initialize a VCard object from data which may be XML node
or an RFC2426 string.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.vcard.VCard-class.html#__make_fn" class="summary-sig-name" onclick="show_private();">__make_fn</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Initialize the mandatory <a href="pyxmpp.jabber.vcard.VCard-class.html#fn" class="link">self.fn</a> from <a href="pyxmpp.jabber.vcard.VCard-class.html#n" class="link">self.n</a>.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.__make_fn">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.vcard.VCard-class.html#__from_xml" class="summary-sig-name" onclick="show_private();">__from_xml</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">data</span>)</span><br />
      Initialize a VCard object from XML node.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.__from_xml">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.vcard.VCard-class.html#__from_rfc2426" class="summary-sig-name" onclick="show_private();">__from_rfc2426</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">data</span>)</span><br />
      Initialize a VCard object from an RFC2426 string.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.__from_rfc2426">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.vcard.VCard-class.html#_process_rfc2425_record" class="summary-sig-name" onclick="show_private();">_process_rfc2425_record</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">data</span>)</span><br />
      Parse single RFC2425 record and update attributes of <code class="link">self</code>.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard._process_rfc2425_record">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.vcard.VCard-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
      repr(x)</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.__repr__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">str</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.vcard.VCard-class.html#rfc2426" class="summary-sig-name">rfc2426</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the RFC2426 representation of <code class="link">self</code>.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.rfc2426">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.vcard.VCard-class.html#complete_xml_element" class="summary-sig-name">complete_xml_element</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>,
        <span class="summary-sig-arg">_unused</span>)</span><br />
      Complete the XML node with <code class="link">self</code> content.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.complete_xml_element">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__getattr__"></a><span class="summary-sig-name">__getattr__</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">name</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.__getattr__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__getitem__"></a><span class="summary-sig-name">__getitem__</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">name</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.__getitem__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.objects.StanzaPayloadObject-class.html">objects.StanzaPayloadObject</a></code></b>:
      <code><a href="pyxmpp.objects.StanzaPayloadObject-class.html#as_xml">as_xml</a></code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__delattr__</code>,
      <code>__format__</code>,
      <code>__getattribute__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__setattr__</code>,
      <code>__sizeof__</code>,
      <code>__str__</code>,
      <code>__subclasshook__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="xml_element_name"></a><span class="summary-name">xml_element_name</span> = <code title="'vCard'"><code class="variable-quote">'</code><code class="variable-string">vCard</code><code class="variable-quote">'</code></code><br />
      : name for the XML element provided by the class.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="xml_element_namespace"></a><span class="summary-name">xml_element_namespace</span> = <code title="'vcard-temp'"><code class="variable-quote">'</code><code class="variable-string">vcard-temp</code><code class="variable-quote">'</code></code><br />
      : namespace URI for the XML element provided
by the class.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.vcard.VCard-class.html#components" class="summary-name">components</a> = <code title="{'ADR': (&lt;class pyxmpp.jabber.vcard.VCardAdr at 0x8a753bc&gt;, 'multi'),
 'AGENT': ('VCardAgent', 'ignore'),
 'BDAY': (&lt;class pyxmpp.jabber.vcard.VCardString at 0x8a752cc&gt;,
          'multi'),
 'CATEGORIES': (&lt;class pyxmpp.jabber.vcard.VCardCategories at 0x8a754d\
c&gt;,
                'multi'),
 'CLASS': (&lt;class pyxmpp.jabber.vcard.VCardString at 0x8a752cc&gt;, 'mult\
...">{&quot;FN&quot;:(VCardString, &quot;required&quot;), &quot;N&quot;:(VCardName, <code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardAdr-class.html" class="link">VCardAdr</a></span>
    </td><td class="summary">
        <a name="adr"></a><span class="summary-name">adr</span><br />
      : address(es).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardString-class.html" class="link">VCardString</a></span>
    </td><td class="summary">
        <a name="bday"></a><span class="summary-name">bday</span><br />
      : birthday date(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardCategories-class.html" class="link">VCardCategories</a></span>
    </td><td class="summary">
        <a name="categories"></a><span class="summary-name">categories</span><br />
      : categories.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardString-class.html" class="link">VCardString</a></span>
    </td><td class="summary">
        <a name="class"></a><span class="summary-name">class</span><br />
      : class(es).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardXString-class.html" class="link">VCardXString</a></span>
    </td><td class="summary">
        <a name="desc"></a><span class="summary-name">desc</span><br />
      : description.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardEmail-class.html" class="link">VCardEmail</a></span>
    </td><td class="summary">
        <a name="email"></a><span class="summary-name">email</span><br />
      : e-mail address(es).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <a href="pyxmpp.jabber.vcard.VCardString-class.html" class="link">VCardString</a>,</span>
    </td><td class="summary">
        <a name="fn"></a><span class="summary-name">fn</span><br />
      : full name.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardGeo-class.html" class="link">VCardGeo</a></span>
    </td><td class="summary">
        <a name="geo"></a><span class="summary-name">geo</span><br />
      : geolocation(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardJID-class.html" class="link">VCardJID</a></span>
    </td><td class="summary">
        <a name="jabberid"></a><span class="summary-name">jabberid</span><br />
      : JID(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardKey-class.html" class="link">VCardKey</a></span>
    </td><td class="summary">
        <a name="key"></a><span class="summary-name">key</span><br />
      : key(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardLabel-class.html" class="link">VCardLabel</a></span>
    </td><td class="summary">
        <a name="label"></a><span class="summary-name">label</span><br />
      : address label(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardImage-class.html" class="link">VCardImage</a></span>
    </td><td class="summary">
        <a name="logo"></a><span class="summary-name">logo</span><br />
      : logo(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardString-class.html" class="link">VCardString</a></span>
    </td><td class="summary">
        <a name="mailer"></a><span class="summary-name">mailer</span><br />
      : mailer(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <a href="pyxmpp.jabber.vcard.VCardName-class.html" class="link">VCardName</a>,</span>
    </td><td class="summary">
        <a name="n"></a><span class="summary-name">n</span><br />
      : structural name.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardString-class.html" class="link">VCardString</a></span>
    </td><td class="summary">
        <a name="nickname"></a><span class="summary-name">nickname</span><br />
      : nickname(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardString-class.html" class="link">VCardString</a></span>
    </td><td class="summary">
        <a name="note"></a><span class="summary-name">note</span><br />
      : note(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardOrg-class.html" class="link">VCardOrg</a></span>
    </td><td class="summary">
        <a name="org"></a><span class="summary-name">org</span><br />
      : organization(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardImage-class.html" class="link">VCardImage</a></span>
    </td><td class="summary">
        <a name="photo"></a><span class="summary-name">photo</span><br />
      : photo(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardString-class.html" class="link">VCardString</a></span>
    </td><td class="summary">
        <a name="prodid"></a><span class="summary-name">prodid</span><br />
      : product id(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardString-class.html" class="link">VCardString</a></span>
    </td><td class="summary">
        <a name="rev"></a><span class="summary-name">rev</span><br />
      : revision(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardString-class.html" class="link">VCardString</a></span>
    </td><td class="summary">
        <a name="role"></a><span class="summary-name">role</span><br />
      : role(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardString-class.html" class="link">VCardString</a></span>
    </td><td class="summary">
        <a name="sort-string"></a><span class="summary-name">sort-string</span><br />
      : sort string(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardSound-class.html" class="link">VCardSound</a></span>
    </td><td class="summary">
        <a name="sound"></a><span class="summary-name">sound</span><br />
      : sound(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardTel-class.html" class="link">VCardTel</a></span>
    </td><td class="summary">
        <a name="tel"></a><span class="summary-name">tel</span><br />
      : phone number(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardString-class.html" class="link">VCardString</a></span>
    </td><td class="summary">
        <a name="title"></a><span class="summary-name">title</span><br />
      : title(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardString-class.html" class="link">VCardString</a></span>
    </td><td class="summary">
        <a name="tz"></a><span class="summary-name">tz</span><br />
      : timezone(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardString-class.html" class="link">VCardString</a></span>
    </td><td class="summary">
        <a name="uid"></a><span class="summary-name">uid</span><br />
      : user identifier(s).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">list</code> of <a href="pyxmpp.jabber.vcard.VCardString-class.html" class="link">VCardString</a></span>
    </td><td class="summary">
        <a name="url"></a><span class="summary-name">url</span><br />
      : URL(s).
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">data</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize a VCard object from data which may be XML node
or an RFC2426 string.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>data</code></strong> (: <code class="link">libxml2.xmlNode</code>, <code class="link">unicode</code> or <code class="link">str</code>) - : vcard to parse.</li>
    </ul></dd>
    <dt>Overrides:
        object.__init__
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="__make_fn"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__make_fn</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.__make_fn">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Initialize the mandatory <a href="pyxmpp.jabber.vcard.VCard-class.html#fn" class="link">self.fn</a> from <a href="pyxmpp.jabber.vcard.VCard-class.html#n" class="link">self.n</a>.</p>
<p>This is a workaround for buggy clients which set only one of them.</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="__from_xml"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__from_xml</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">data</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.__from_xml">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize a VCard object from XML node.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>data</code></strong> (: <code class="link">libxml2.xmlNode</code>) - : vcard to parse.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="__from_rfc2426"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__from_rfc2426</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">data</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.__from_rfc2426">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize a VCard object from an RFC2426 string.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>data</code></strong> (: <code class="link">libxml2.xmlNode</code>, <code class="link">unicode</code> or <code class="link">str</code>) - : vcard to parse.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="_process_rfc2425_record"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_process_rfc2425_record</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">data</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard._process_rfc2425_record">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Parse single RFC2425 record and update attributes of <code class="link">self</code>.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>data</code></strong> (: <code class="link">unicode</code>) - : the record (probably multiline)</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="__repr__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
    <br /><em class="fname">(Representation operator)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.__repr__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>repr(x)</p>
  <dl class="fields">
    <dt>Overrides:
        object.__repr__
        <dd><em class="note">(inherited documentation)</em></dd>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="rfc2426"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">rfc2426</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.rfc2426">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the RFC2426 representation of <code class="link">self</code>.
  <dl class="fields">
    <dt>Returns: <code class="link">str</code></dt>
        <dd>the UTF-8 encoded RFC2426 representation.</dd>
  </dl>
</td></tr></table>
</div>
<a name="complete_xml_element"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">complete_xml_element</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>,
        <span class="sig-arg">_unused</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.vcard-pysrc.html#VCard.complete_xml_element">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Complete the XML node with <code class="link">self</code> content.</p>
<p>Should be overriden in classes derived from <a href="pyxmpp.objects.StanzaPayloadObject-class.html" class="link">StanzaPayloadObject</a>.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode</code></strong> (: <code class="link">libxml2.xmlNode</code>) - : XML node with the element being built. It has already
right name and namespace, but no attributes or content.</li>
        <li><strong class="pname"><code>_unused</code></strong> (: <code class="link">libxml2.xmlDoc</code>) - : document to which the element belongs.</li>
    </ul></dd>
    <dt>Overrides:
        <a href="pyxmpp.objects.StanzaPayloadObject-class.html#complete_xml_element">objects.StanzaPayloadObject.complete_xml_element</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== CLASS VARIABLE DETAILS ==================== -->
<a name="section-ClassVariableDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variable Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariableDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="components"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">components</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-group">{</code><code class="variable-quote">'</code><code class="variable-string">ADR</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code>&lt;class pyxmpp.jabber.vcard.VCardAdr at 0x8a753bc&gt;<code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">multi</code><code class="variable-quote">'</code><code class="variable-group">)</code><code class="variable-op">,</code>
 <code class="variable-quote">'</code><code class="variable-string">AGENT</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">VCardAgent</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">ignore</code><code class="variable-quote">'</code><code class="variable-group">)</code><code class="variable-op">,</code>
 <code class="variable-quote">'</code><code class="variable-string">BDAY</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code>&lt;class pyxmpp.jabber.vcard.VCardString at 0x8a752cc&gt;<code class="variable-op">,</code>
          <code class="variable-quote">'</code><code class="variable-string">multi</code><code class="variable-quote">'</code><code class="variable-group">)</code><code class="variable-op">,</code>
 <code class="variable-quote">'</code><code class="variable-string">CATEGORIES</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code>&lt;class pyxmpp.jabber.vcard.VCardCategories at 0x8a754d<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
c&gt;<code class="variable-op">,</code>
                <code class="variable-quote">'</code><code class="variable-string">multi</code><code class="variable-quote">'</code><code class="variable-group">)</code><code class="variable-op">,</code>
 <code class="variable-quote">'</code><code class="variable-string">CLASS</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code>&lt;class pyxmpp.jabber.vcard.VCardString at 0x8a752cc&gt;<code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">mult</code><span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
<code class="variable-ellipsis">...</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:02 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
